# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Notifications Get notified when a report with `entityType = PE` completes or errors by subscribing to the Report status notifications event (`reportStatusNotification`). ## Before you begin This feature requires the use of the Notifications service that J.P. Morgan offers. Contact your relationship manager or [contact us](https://developer.payments.jpmorgan.com/contact/sales) to onboard the [Notifications API](/docs/commerce/optimization-protection/capabilities/notifications/index). ## Report status notification Notifications are generated as webhooks and sent to you when the status of a report changes. - You can subscribe to this notification by performing a POST /subscriptions call to the Notifications API and providing the event type, subtype, callbackURL, and subscription channel (webhook) - Webhooks are sent to the callbackURL you provide. - You can also choose to enable this event during the onboarding process. **Supported subscription channel**: Webhook When subscribing to the event, you can choose all, some, or one of the following notification subtypes: **Reporting notification event subtypes** | Subtype | Description | | --- | --- | | all | Notifies you of all events related to reporting. | | dailyCompleted | Notifies you when a daily report generation process completes successfully. | | weeklyCompleted | Notifies you when a weekly report generation process completes successfully. | | monthlyCompleted | Notifies you when a monthly report generation process completes successfully | | adhocRunCompleted | Notifies you when an adhoc report generation process completes successfully. | | dailyErrored | Notifies you when a daily report generation process fails due to an error. | | weeklyErrored | Notifies you when a weekly report generation process fails due to an error. | | monthlyErrored | Notifies you when a monthly report generation process fails due to an error. | | adhocRunErrored | Notifies you when an adhoc report generation process fails due to an error. | For information on how to subcribe to these notifications, refer to [subscribe to notifications using the Notifications API](/docs/commerce/optimization-protection/capabilities/notifications/how-to/subscribe-notifications). ## Related [Notifications API](/docs/commerce/optimization-protection/capabilities/notifications/index)